import usb
####################################
RQ_SET_LED    = 0
RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LIGHT  = 2

class BoardControl:

    def find_board(self):
               board = None
               for bus in usb.busses():
                   for dev in bus.devices:
                      if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                         return dev
               return None

    def get_data(self):
	

	board = self.find_board()
	self.handle = board.open() 

        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(reqType,2,2)
	ADC = (buf[0] * 256) + buf[1]
	Vin = ADC * 5.0 / 1024.0
	percent = (Vin /1)*100
        return percent



    def testone(self):
	a = RQ_SET_LED+20
	return a

board = BoardControl()
			

	

